Package fr.gouv.vitam.worker.core.plugin.preservation.model

# Class PreservationDistributionLine

java.lang.Object
fr.gouv.vitam.worker.core.plugin.preservation.model.PreservationDistributionLine

public class PreservationDistributionLine extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservationDistributionLine()`
  `PreservationDistributionLine(String formatId, String filename, List<ActionPreservation> actionPreservationList, String unitId, String griffinId, String objectId, boolean debug, int timeout, String id, String targetUse, String sourceUse, String sourceStrategy, String scenarioId, String griffinIdentifier, Set<String> unitsForExtractionAU)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ActionPreservation>`
  `getActionPreservationList()`
  `String`
  `getFilename()`
  `String`
  `getFormatId()`
  `String`
  `getGriffinId()`
  `String`
  `getGriffinIdentifier()`
  `String`
  `getId()`
  `String`
  `getObjectId()`
  `String`
  `getScenarioId()`
  `String`
  `getSourceStrategy()`
  `String`
  `getSourceUse()`
  `String`
  `getTargetUse()`
  `int`
  `getTimeout()`
  `String`
  `getUnitId()`
  `Set<String>`
  `getUnitsForExtractionAU()`
  `boolean`
  `isDebug()`
  `void`
  `setActionPreservationList(List<ActionPreservation> actionPreservationList)`
  `void`
  `setDebug(boolean debug)`
  `void`
  `setFilename(String filename)`
  `void`
  `setFormatId(String formatId)`
  `void`
  `setGriffinId(String griffinId)`
  `void`
  `setGriffinIdentifier(String griffinIdentifier)`
  `void`
  `setId(String id)`
  `void`
  `setObjectId(String objectId)`
  `void`
  `setScenarioId(String scenarioId)`
  `void`
  `setSourceStrategy(String sourceStrategy)`
  `void`
  `setSourceUse(String sourceUse)`
  `void`
  `setTargetUse(String targetUse)`
  `void`
  `setTimeout(int timeout)`
  `void`
  `setUnitId(String unitId)`
  `void`
  `setUnitsForExtractionAU(Set<String> unitsForExtractionAU)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreservationDistributionLine

    public PreservationDistributionLine()

  - ### PreservationDistributionLine

    public PreservationDistributionLine(String formatId, String filename, List<ActionPreservation> actionPreservationList, String unitId, String griffinId, String objectId, boolean debug, int timeout, String id, String targetUse, String sourceUse, String sourceStrategy, String scenarioId, String griffinIdentifier, Set<String> unitsForExtractionAU)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getFormatId

    public String getFormatId()

  - ### setFormatId

    public void setFormatId(String formatId)

  - ### getFilename

    public String getFilename()

  - ### setFilename

    public void setFilename(String filename)

  - ### getActionPreservationList

    public List<ActionPreservation> getActionPreservationList()

  - ### setActionPreservationList

    public void setActionPreservationList(List<ActionPreservation> actionPreservationList)

  - ### getUnitId

    public String getUnitId()

  - ### setUnitId

    public void setUnitId(String unitId)

  - ### getGriffinId

    public String getGriffinId()

  - ### setGriffinId

    public void setGriffinId(String griffinId)

  - ### getObjectId

    public String getObjectId()

  - ### setObjectId

    public void setObjectId(String objectId)

  - ### isDebug

    public boolean isDebug()

  - ### setDebug

    public void setDebug(boolean debug)

  - ### getTimeout

    public int getTimeout()

  - ### setTimeout

    public void setTimeout(int timeout)

  - ### getTargetUse

    public String getTargetUse()

  - ### setTargetUse

    public void setTargetUse(String targetUse)

  - ### getSourceUse

    public String getSourceUse()

  - ### setSourceUse

    public void setSourceUse(String sourceUse)

  - ### getSourceStrategy

    public String getSourceStrategy()

  - ### setSourceStrategy

    public void setSourceStrategy(String sourceStrategy)

  - ### getScenarioId

    public String getScenarioId()

  - ### setScenarioId

    public void setScenarioId(String scenarioId)

  - ### getGriffinIdentifier

    public String getGriffinIdentifier()

  - ### setGriffinIdentifier

    public void setGriffinIdentifier(String griffinIdentifier)

  - ### getUnitsForExtractionAU

    public Set<String> getUnitsForExtractionAU()

  - ### setUnitsForExtractionAU

    public void setUnitsForExtractionAU(Set<String> unitsForExtractionAU)